 /*
 *  file      : libzoom/lib.h
 *  project   : zoomc
 *  with      : Gtk-2
 *
 *  copyright : (C) 2010 - 2011 by Claude Bulin
 *
 *  ZOOMC - GTK+ implementation of the GNU shell command
 *  GNU General Public License
 *
 *  This file is part of ZOOMC.
 * 
 *  ZOOMC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  at your option) any later version.
 * 
 *  ZOOMC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with ZOOMC.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __libH_h__
#define __libH_h__ 1


gint		libutils_hexa_to_int( gchar *Ptr_Hexa );
gboolean	libutils_test_file_exist( gchar *File );
gboolean	libutils_test_dir_exist (gchar *File);
size_t		libutils_get_size_file( gchar *PathName );
GList		*libutils_remove_glist( GList *New );
void		libutils_set_default_icone_to_win( GtkWidget *win );
gchar		*libutils_create_temporary_rep( gchar *SrcTmp, gchar *NewRepTmp );
gchar		*libutils_remove_temporary_rep( gchar *path_tmprep );

gboolean	FileIs_png( gchar *namefile );
gboolean	FileIs_jpg( gchar *namefile );
gboolean	FileIs_image( gchar *PathNameFile);


#endif

